View Revisions: Issue #2419

Summary 0002419: Matrix rotation and Units compatibility
Revision 2017-10-23 19:07 by Kunda1
Steps To Reproduce
import FreeCAD as App
from FreeCAD import Matrix
import Units
import math

# Let's define the roll angle in degrees,
# such that the matrix should be rotated
# about 6.29 degrees
roll = 2 * math.pi * Units.Degree

# However, applying it to the eye matrix,
# it is rotated 2*pi radians, i.e. 360
# degrees.
m = Matrix()
m.rotateX(roll)
App.Console.PrintMessage(max((m - Matrix()).A))
Revision 2016-01-26 08:27 by Sanguinario_Joe
Steps To Reproduce import FreeCAD as App
from FreeCAD import Matrix
import Units
import math

# Let's define the roll angle in degrees,
# such that the matrix should be rotated
# about 6.29 degrees
roll = 2 * math.pi * Units.Degree

# However, applying it to the eye matrix,
# it is rotated 2*pi radians, i.e. 360
# degrees.
m = Matrix()
m.rotateX(roll)
App.Console.PrintMessage(max((m - Matrix()).A))